Subject: Re: [PATCH -next] acpi utmisc: use WARN_ON() instead of warn_on_slowpath()

From: Andi Kleen <[email-masked]>
Date: Mon, 07 Jul 2008 08:19:08 +0200

Arjan van de Ven wrote:
> On Sun, 06 Jul 2008 13:18:56 -0400 (EDT)
> Len Brown <[email-masked]> wrote:
>  
>> Arjan tells me that we'll have a real WARN()
>> with prink semantics in 2.6.27 and so we can
>> simplify/standardize this when that happens.
>>
>> Oh, and since I'm on sabbatical, I'm obviously
>> fine with whatever Andi Kleen does (or does not do here)
>> in my absence.
> 
> I'm finishing up the series to introduce (in -mm) and use it
> (various extra patches).. Want me to just include the ACPI part of this
> as well, or do you want to feed that separately?

I'm dropping the ACPI part because we're getting too many
reports of scary looking backtraces and ACPI exceptions are actually
not that exceptional.

-Andi